cutlass::reduction::DefaultBlockSwizzle Struct Reference

`#include <threadblock_swizzle.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | DefaultBlockSwizzle ()
| Ctor. More...
CUTLASS_DEVICE dim3 | swizzle ()
| Swizzle the block index. More...
CUTLASS_HOST_DEVICE dim3 | get_grid_layout (Coord< 3 > const &problem_size, Coord< 3 > const &OutputTile)
CUTLASS_DEVICE Coord< 3 > | get_threadblock_offset (Coord< 3 > const &SubTile)

## Constructor & Destructor Documentation

CUTLASS_HOST_DEVICE cutlass::reduction::DefaultBlockSwizzle::DefaultBlockSwizzle | ( |  | ) |

inline

## Member Function Documentation

CUTLASS_HOST_DEVICE dim3 cutlass::reduction::DefaultBlockSwizzle::get_grid_layout | ( | Coord< 3 > const & | problem_size,
|  | Coord< 3 > const & | OutputTile
| ) |  |

inline

CUTLASS_DEVICE Coord<3> cutlass::reduction::DefaultBlockSwizzle::get_threadblock_offset | ( | Coord< 3 > const & | SubTile | ) |

inline

CUTLASS_DEVICE dim3 cutlass::reduction::DefaultBlockSwizzle::swizzle | ( |  | ) |

inline

The documentation for this struct was generated from the following file:

- reduction/threadblock_swizzle.h